import { IconContext } from "@phosphor-icons/react";
import React from "react";
import {createBrowserRouter, RouterProvider} from "react-router-dom";

/**
 * Main Kernel UI app component which initializes everything.
 */
export function Kernel({header, footer, router}: {
	header?: React.ReactNode;
	footer?: React.ReactNode;
	router: ReturnType<typeof createBrowserRouter>;
})
{
	return (
		<IconContext.Provider value={{
			size: 16,
			weight: "bold",
		}}>
			{header}
			<RouterProvider router={router} />
			{footer}
		</IconContext.Provider>
	);
}
