import React, {useState} from "react";
import {Eye, EyeSlash} from "@phosphor-icons/react";
import {classes} from "../../Utils";

export function PasswordInput({children, className, type, ...props}: React.PropsWithChildren<React.InputHTMLAttributes<HTMLInputElement>>): React.ReactElement
{
	const [showPassword, setShowPassword] = useState(false);

	return (
		<label className={classes("password", className)}>
			{children}
			<div>
				<input type={showPassword ? "text" : "password"} {...props} />
				<a className={"button"} tabIndex={-1} onClick={() => {
					setShowPassword(!showPassword);
				}}>
					{
						showPassword ? <EyeSlash /> : <Eye />
					}
				</a>
			</div>
		</label>
	);
}
