import React from "react";
import {Check} from "@phosphor-icons/react";
import {classes} from "../../Utils";

export function ToggleSwitch({children, className, type, ...inputProps}: React.PropsWithChildren<React.InputHTMLAttributes<HTMLInputElement>>): React.ReactElement
{
	return (
		<label className={classes("toggleswitch", className)}>
			<input type={"checkbox"} {...inputProps} />
			<a className={"button"} tabIndex={-1}><span className={"switch"}></span></a>
			{children}
		</label>
	);
}
