import React from "react";
import {Float, FloatProperties} from "../Floating/Float";
import {classes, Modify} from "../../Utils";

/**
 * Add a submenu which opens on click on the child.
 */
export function SubmenuFloat({submenu, className, mode, children, content, ...props}: Modify<FloatProperties, {
	/**
	 * The submenu content.
	 */
	submenu: React.ReactNode;

	// Ignored overridden properties.
	content?: never;
}>)
{
	return (
		<Float mode={mode ?? "click"} className={classes("submenu", className)}
		       content={submenu} {...props}>
			{children}
		</Float>
	);
}
